This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 804451 - zenity depends on webkitgtk3
zenity depends on webkitgtk3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zenity (Show other bugs)
17
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: depchain 804454
  Show dependency treegraph
 
Reported: 2012-03-18 17:38 EDT by Kevin Kofler
Modified: 2012-03-21 14:46 EDT (History)
5 users (show)

See Also:
Fixed In Version: zenity-3.2.0-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:46:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2012-03-18 17:38:39 EDT
Description of problem:
zenity-3.2.0-3.fc17 (which is dragged onto all spins as a dependency of Anaconda) adds a new dependency on webkitgtk3, which is 8.7 MiB xz-compressed (RPM size) + some dependencies. In particular, this made the KDE spin go oversize again (and we sure don't want webkitgtk3 on the KDE spin).

Version-Release number of selected component (if applicable):
zenity-3.2.0-3.fc17

How reproducible:
Always

Steps to Reproduce:
1. Install zenity.
  
Actual results:
Requires webkitgtk3.

Expected results:
Does not require webkitgtk3.

Additional info:
This dependency is used an optional zenity feature (--html and --url switches) which we never shipped before. It was added as part of an FTBFS fix, without being necessary to fix the build failure.
Comment 1 Fedora Update System 2012-03-19 09:58:17 EDT
zenity-3.2.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zenity-3.2.0-4.fc17
Comment 2 Adam Williamson 2012-03-19 17:30:32 EDT
Discussed at 2012-03-19 QA meeting, acting as a blocker review meeting - by policy we review 'indirect blockers' like this (bugs that do not directly block one of the blocker trackers, but do so through dependencies). This bug is accepted as a 'dependent blocker' of the parent #804454, as this is the chosen strategy to reduce the KDE image size. Theoretically, if this bug were not fixed but the KDE image size were reduced by other means, this status would be withdrawn.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Fedora Update System 2012-03-20 02:06:09 EDT
Package zenity-3.2.0-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zenity-3.2.0-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4236/zenity-3.2.0-4.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-21 14:46:16 EDT
zenity-3.2.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.